#### OPTION

#### Synopsis

    HELP:   Controls FLAM's behavior when decompressed records are output
    TYPE:   NUMBER
    SYNTAX: OPTION=CUT/NOCUT/SUPPRESS/NOSUPPRESS

#### Description

This parameter controls FLAM's behaviour when decompressed records are output (UNIX only).

See also similar parameters for z/OS and WINDOWS:

- CUT for truncate in z/OS and Windows
- NOCUT for notruncate in z/OS and Windows
- SUPPRESS for suppress and trimchar in WINDOWS
- NOSUPPRESS in WINDOWS
- PADCHAR for padchar in z/OS

During the decompression, the record format and size of the decompressed file can either be specified explicitly or adopted from predecessor versions, so that the maximum record size is less than in the original file. If CUT option is specified, the decompression continues and any records which is too long is truncated to the maximum size. If `NOCUT` is specified, decompression is aborted and an error message is put out.

If the decompressed file is written with the stream record format during the decompression procedure, whitespace at the end of a record can be suppressed by specifying suppress. Nosuppress causes the whitespace to be written.

Syntax restrictions for FLAMv4 or older:

- UNIX
  - `-option=FLAM option`

Values

- UNIX
  - `cut` - Records with a length greater than the maximum record size are truncated.
  - `nocut` - Records with a length greater than the maximum record size are not truncated.
  - `suppess` - Blank space at the end of a record is suppressed.
  - `nosuppess` - Blank space at the end of a record is not suppressed.

Default

- none

Valid for

- compression